<?php

/**
 * @file
 * Lists available colors and color schemes for the AT Starterkit.
 * By default the color scheme relies almost entirely on color
 * shift, where the user changes the base color and all other
 * unspecified colors shift relative to the new base.
 */

$info = array(
  // Available colors and color labels used in theme.
  'fields' => array(
    'base'         => t('Base'),
    'page'         => t('Page background'),
    'top'          => t('Header top'),
    'bottom'       => t('Header bottom'),
    'sitename'     => t('Site name'),
    'slogan'       => t('Slogan'),
    'header'       => t('Header text'),
    'navbar'       => t('Navbar'),
    'navbarl'      => t('Navbar links'),
    'text'         => t('Text'),
    'link'         => t('Links'),
    'borders'      => t('Borders'),
    'blockh'       => t('Block header'),
    'blockht'      => t('Block title'),
    'blockbg'      => t('Block body'),
    'ftop'         => t('Footer top'),
    'fbottom'      => t('Footer bottom'),
    'ftext'        => t('Footer text'),
    'sticky'       => t('Sticky teaser'),
  ),
  // Pre-defined color schemes.
  'schemes' => array(
    'default' => array(
      'title' => t('Ocean Water (default)'),
      'colors' => array(
        'base'     => '#7bc0ea',
        'page'     => '#ffffff',
        'sitename' => '#feffff',
        'slogan'   => '#fefefe',
        'header'   => '#fdfdfd',
        'navbar'   => '#013665',
        'navbarl'  => '#fffffe',
        'link'     => '#3561b1',
        'top'      => '#025fb1',
        'bottom'   => '#62c8fd',
        'ftop'     => '#181818',
        'fbottom'  => '#343434',
        'ftext'    => '#d5d5d5',
        'text'     => '#555555',
        'blockh'   => '#82c3eb',
        'blockht'  => '#fffffc',
        'blockbg'  => '#d8ecf9',
        'borders'  => '#e9e9e9',
        'sticky'   => '#f7f7f7',
      ),
    ),
    'redcarpet' => array(
      'title' => t('Red Carpet'),
      'colors' => array(
        'base'     => '#de8291',
        'page'     => '#ffffff',
        'sitename' => '#feffff',
        'slogan'   => '#fefefe',
        'header'   => '#fdfdfd',
        'navbar'   => '#000000',
        'navbarl'  => '#fffffe',
        'link'     => '#c55964',
        'top'      => '#861509',
        'bottom'   => '#f8306a',
        'ftop'     => '#181818',
        'fbottom'  => '#343434',
        'ftext'    => '#d5d5d5',
        'text'     => '#555555',
        'blockh'   => '#df8796',
        'blockht'  => '#fffffc',
        'blockbg'  => '#f5d9de',
        'borders'  => '#e9e9e9',
        'sticky'   => '#f7f7f7',
      ),
    ),
    'orangesunset' => array(
      'title' => t('Orange Sunset'),
      'colors' => array(
        'base'     => '#f7b42b',
        'page'     => '#ffffff',
        'sitename' => '#feffff',
        'slogan'   => '#fefefe',
        'header'   => '#fdfdfd',
        'navbar'   => '#000000',
        'navbarl'  => '#fffffe',
        'link'     => '#8e6130',
        'top'      => '#ec8c04',
        'bottom'   => '#fade42',
        'ftop'     => '#181818',
        'fbottom'  => '#343434',
        'ftext'    => '#d5d5d5',
        'text'     => '#555555',
        'blockh'   => '#f7b836',
        'blockht'  => '#fffffc',
        'blockbg'  => '#fde9c0',
        'borders'  => '#e9e9e9',
        'sticky'   => '#f7f7f7',
      ),
    ),
    'earthbrown' => array(
      'title' => t('Earth Brown'),
      'colors' => array(
        'base'     => '#cfb377',
        'page'     => '#ffffff',
        'sitename' => '#feffff',
        'slogan'   => '#fefefe',
        'header'   => '#fdfdfd',
        'navbar'   => '#000000',
        'navbarl'  => '#fffffe',
        'link'     => '#90712c',
        'top'      => '#463406',
        'bottom'   => '#e6bd5c',
        'ftop'     => '#181818',
        'fbottom'  => '#343434',
        'ftext'    => '#d5d5d5',
        'text'     => '#555555',
        'blockh'   => '#d1b77e',
        'blockht'  => '#fffffc',
        'blockbg'  => '#f1e8d6',
        'borders'  => '#e9e9e9',
        'sticky'   => '#f7f7f7',
      ),
    ),
    'forestgreen' => array(
      'title' => t('Forest Green'),
      'colors' => array(
        'base'     => '#9bc068',
        'page'     => '#ffffff',
        'sitename' => '#feffff',
        'slogan'   => '#fefefe',
        'header'   => '#fdfdfd',
        'navbar'   => '#000000',
        'navbarl'  => '#fffffe',
        'link'     => '#3c7c41',
        'top'      => '#0e3d0b',
        'bottom'   => '#6beb37',
        'ftop'     => '#181818',
        'fbottom'  => '#343434',
        'ftext'    => '#d5d5d5',
        'text'     => '#555555',
        'blockh'   => '#a0c370',
        'blockht'  => '#fffffc',
        'blockbg'  => '#e1ecd2',
        'borders'  => '#e9e9e9',
        'sticky'   => '#f7f7f7',
      ),
    ),
    'ash' => array(
      'title' => t('Ash'),
      'colors' => array(
        'base'     => '#464849',
        'page'     => '#ffffff',
        'sitename' => '#feffff',
        'slogan'   => '#fefefe',
        'header'   => '#fdfdfd',
        'navbar'   => '#000000',
        'navbarl'  => '#fffffe',
        'link'     => '#2f416f',
        'top'      => '#2a2b2d',
        'bottom'   => '#5d6779',
        'ftop'     => '#181818',
        'fbottom'  => '#343434',
        'text'     => '#555555',
        'blockh'   => '#4f5152',
        'blockht'  => '#ffffff',
        'blockbg'  => '#c8c8c9',
        'borders'  => '#c8c8c9',
        'sticky'   => '#c8c8c9',
      ),
    ),
  ),

  // CSS files (excluding @import) to rewrite with new color scheme.
  'css' => array(
    'styles/css/components/color.css',
  ),

  // Files to copy.
  'copy' => array(),

  // Gradient definitions.
  'gradients' => array(),
);
